package migrations

import (
	"github.com/pocketbase/pocketbase/core"
	m "github.com/pocketbase/pocketbase/migrations"
)

func init() {
	m.Register(func(app core.App) error {
		jsonData := `[
    {
        "id": "pbc_2856227530",
        "listRule": null,
        "viewRule": null,
        "createRule": "",
        "updateRule": null,
        "deleteRule": null,
        "name": "elo",
        "type": "base",
        "fields": [
            {
                "autogeneratePattern": "[a-z0-9]{15}",
                "hidden": false,
                "id": "text3208210256",
                "max": 15,
                "min": 15,
                "name": "id",
                "pattern": "^[a-z0-9]+$",
                "presentable": false,
                "primaryKey": true,
                "required": true,
                "system": true,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "date2862495610",
                "max": "",
                "min": "",
                "name": "date",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "date"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1697519085",
                "hidden": false,
                "id": "relation2239679623",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "player_1",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1905410326",
                "hidden": false,
                "id": "relation2047047275",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "commandant_1",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "hidden": false,
                "id": "number909748445",
                "max": null,
                "min": null,
                "name": "score_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1697519085",
                "hidden": false,
                "id": "relation477601085",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "player_2",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1905410326",
                "hidden": false,
                "id": "relation3809093585",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "commandant_2",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "hidden": false,
                "id": "number2939222375",
                "max": null,
                "min": null,
                "name": "score_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "bool2557948429",
                "name": "official",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "bool"
            },
            {
                "hidden": false,
                "id": "number1561173596",
                "max": null,
                "min": null,
                "name": "elo_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3288649702",
                "max": null,
                "min": null,
                "name": "elo_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number4239465276",
                "max": null,
                "min": null,
                "name": "elo_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1706576518",
                "max": null,
                "min": null,
                "name": "elo_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number4115095912",
                "max": null,
                "min": null,
                "name": "last_elo_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1817063634",
                "max": null,
                "min": null,
                "name": "last_elo_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2067666352",
                "max": null,
                "min": null,
                "name": "last_elo_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3795272714",
                "max": null,
                "min": null,
                "name": "last_elo_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1892024759",
                "max": null,
                "min": null,
                "name": "elo_tournament_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3922677773",
                "max": null,
                "min": null,
                "name": "elo_tournament_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number4069829114",
                "max": null,
                "min": null,
                "name": "elo_tournament_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1805514816",
                "max": null,
                "min": null,
                "name": "elo_tournament_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2741574523",
                "max": null,
                "min": null,
                "name": "last_elo_tournament_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number979389121",
                "max": null,
                "min": null,
                "name": "last_elo_tournament_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3925605802",
                "max": null,
                "min": null,
                "name": "last_elo_tournament_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1894951952",
                "max": null,
                "min": null,
                "name": "last_elo_tournament_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "autodate3332085495",
                "name": "updated",
                "onCreate": true,
                "onUpdate": true,
                "presentable": false,
                "system": false,
                "type": "autodate"
            }
        ],
        "indexes": [],
        "system": false
    },
    {
        "id": "pbc_1697519085",
        "listRule": "",
        "viewRule": null,
        "createRule": null,
        "updateRule": null,
        "deleteRule": null,
        "name": "elo_player",
        "type": "base",
        "fields": [
            {
                "autogeneratePattern": "[a-z0-9]{15}",
                "hidden": false,
                "id": "text3208210256",
                "max": 15,
                "min": 15,
                "name": "id",
                "pattern": "^[a-z0-9]+$",
                "presentable": false,
                "primaryKey": true,
                "required": true,
                "system": true,
                "type": "text"
            },
            {
                "cascadeDelete": false,
                "collectionId": "_pb_users_auth_",
                "hidden": false,
                "id": "relation2375276105",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "user",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "relation"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text4166911607",
                "max": 0,
                "min": 0,
                "name": "username",
                "pattern": "",
                "presentable": false,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "number2334461934",
                "max": null,
                "min": null,
                "name": "elo",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2732192018",
                "max": null,
                "min": null,
                "name": "elo_tournament",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            }
        ],
        "indexes": [],
        "system": false
    }
]`

		return app.ImportCollectionsByMarshaledJSON([]byte(jsonData), false)
	}, func(app core.App) error {
		// add down queries...

		return nil
	})
}
